ShareUpdateServiceAsync (gCube Share Updates Portlet 1.7.0-3.7.0 API)
Date: 2015-05-19

org.gcube.portlets.user.shareupdates.client

## Interface ShareUpdateServiceAsync

-     public interface ShareUpdateServiceAsync

  The async counterpart of `ShareUpdateService`.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `checkLink(String linkToCheck, com.google.gwt.user.client.rpc.AsyncCallback<LinkPreview> callback)`
    `void` | `checkUploadedFile(String fileName, String fileabsolutePathOnServer, com.google.gwt.user.client.rpc.AsyncCallback<LinkPreview> callback)`
    `void` | `getHashtags(com.google.gwt.user.client.rpc.AsyncCallback<ArrayList<org.gcube.portlets.widgets.pickitem.shared.ItemBean>> callback)`
    `void` | `getPortalUsers(com.google.gwt.user.client.rpc.AsyncCallback<ArrayList<org.gcube.portlets.widgets.pickitem.shared.ItemBean>> callback)`
    `void` | `getUserSettings(com.google.gwt.user.client.rpc.AsyncCallback<UserSettings> callback)`
    `void` | `share(String feedText, org.gcube.portal.databook.shared.FeedType type, org.gcube.portal.databook.shared.PrivacyLevel pLevel, String vreName, LinkPreview preview, String urlThumbnail, ArrayList<String> mentionedUsers, String fileName, String FilePathOnServer, boolean notifyGroup, com.google.gwt.user.client.rpc.AsyncCallback<org.gcube.portal.databook.shared.ClientFeed> callback)`

- - ### Method Detail

    - #### share

          void share(String feedText,
                   org.gcube.portal.databook.shared.FeedType type,
                   org.gcube.portal.databook.shared.PrivacyLevel pLevel,
                   String vreName,
                   LinkPreview preview,
                   String urlThumbnail,
                   ArrayList<String> mentionedUsers,
                   String fileName,
                   String FilePathOnServer,
                   boolean notifyGroup,
                   com.google.gwt.user.client.rpc.AsyncCallback<org.gcube.portal.databook.shared.ClientFeed> callback)

    - #### checkLink

          void checkLink(String linkToCheck,
                       com.google.gwt.user.client.rpc.AsyncCallback<LinkPreview> callback)

    - #### getUserSettings

          void getUserSettings(com.google.gwt.user.client.rpc.AsyncCallback<UserSettings> callback)

    - #### getPortalUsers

          void getPortalUsers(com.google.gwt.user.client.rpc.AsyncCallback<ArrayList<org.gcube.portlets.widgets.pickitem.shared.ItemBean>> callback)

    - #### checkUploadedFile

          void checkUploadedFile(String fileName,
                               String fileabsolutePathOnServer,
                               com.google.gwt.user.client.rpc.AsyncCallback<LinkPreview> callback)

    - #### getHashtags

          void getHashtags(com.google.gwt.user.client.rpc.AsyncCallback<ArrayList<org.gcube.portlets.widgets.pickitem.shared.ItemBean>> callback)

Copyright © 2015. All Rights Reserved.